//+------------------------------------------------------------------+
//|                                        !!!_TestEAForFileRead.mq4 |
//|                                 Copyright  2011, XrustSolution. |
//|                                           mail: xrustx@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, XrustSolution."
#property link      "mail: xrustx@gmail.com"
//+------------------------------------------------------------------+
//|   Super Global variables                                         |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//|   Orders Properties                                              |
//+------------------------------------------------------------------+
extern 	string	TradingOrdersProperties         				= "" 		;
extern	bool		SwingTrade											= false	;
extern 	double	TradingLot                      				= 0.1		;
extern  	int   	StopLoss                        				= 0  		;
extern  	int   	TakeProfit                      				= 0  		;
extern  	int    	NumberOfOrders                  				= 1  		;
extern	int		MagicNumber											= 315		;
//+------------------------------------------------------------------+
//|   Includes			                                                |
//+------------------------------------------------------------------+
//#include <TradingFunction.mqh>
//#include <AlertsAndSounds.mqh>	
#include <stdlib.mqh>	
//+------------------------------------------------------------------+
//|   Defines & Global variavles                                     |
//+------------------------------------------------------------------+
#define empty  EMPTY_VALUE
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
void init(){
   //----
   int err = iCustom(Symbol(),Period(),"!!!_FileRead",0,0);
	if(err>=0){
		Comment("Call function from init();\nHave error :",err," reason :",ErrorDescription(err));
		Print  ("Call function from init();  Have error :",err," reason :",ErrorDescription(err));
	}
   //----
return;}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
void deinit(){
   //----
   int err = iCustom(Symbol(),Period(),"!!!_FileRead",0,0);
	if(err>=0){
		Comment("Call function from deinit();\nHave error :",err," reason :",ErrorDescription(err));
		Print  ("Call function from deinit();  Have error :",err," reason :",ErrorDescription(err));
	}
   //----
return;}
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
void start(){
   //----
   int err = iCustom(Symbol(),Period(),"!!!_FileRead",0,0);
	if(err>=0){
		Comment("Call function from start();\nHave error :",err," reason :",ErrorDescription(err));
		Print  ("Call function from start();  Have error :",err," reason :",ErrorDescription(err));
	}
   //----
return;}
//+------------------------------------------------------------------+
//|                                 Function  :                      |
//|                                 Copyright  2010, XrustSolution. |
//|                                           mail: xrustx@gmail.com |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+